echo off
if %1.==. goto Usage
if %2.==. goto Usage

if NOT exist %1.txt goto FNFound
if NOT exist c:\itrans\bin\%2.hdr goto FNFound2
if NOT exist c:\itrans\bin\%2.trl goto FNFound3

del del*.*
translit -i %1.txt -o del1.txt -t c:\itrans\bin\itx2iht1.tbl
translit -i del1.txt -o del2.txt -t c:\itrans\bin\itx2iht2.tbl
translit -i del2.txt -o del3.txt -t c:\itrans\bin\itx2iht3.tbl
copy c:\itrans\bin\iht%2.hdr + del3.txt + c:\itrans\bin\iht%2.trl del.iht
itrans -v -i del.iht -o %1.html
translit -i del.iht -o del.htm -t c:\itrans\bin\iht2htm.tbl
copy del.htm %1.htm

copy c:\itrans\bin\%2.hdr + %1.txt + c:\itrans\bin\%2.trl %1.itx
itrans -i %1.itx -o %1.tex
latex %1
dvips %1


goto cleanup

REM --------------------------------------------------------------------------
:FNFound
echo.
echo File %1.txt not found.
echo.
goto end

REM --------------------------------------------------------------------------
:FNFound2
echo.
echo File %2.hdr not found.
echo.
goto end

REM --------------------------------------------------------------------------
:FNFound3
echo.
echo File %2.trl not found.
echo.
goto end

REM --------------------------------------------------------------------------
:Usage
echo.
echo 	Usage: 	 san Source_File PostscriptColumns
echo 	Example: san test1	2
echo.
echo 	Source_file should have .txt extension 
echo 	but it should not be mentioned while starting program
echo.
echo 	PostscriptColumns should be 1 or 2
echo 	uses 1.hdr and 1.trl for 1 column
echo 	uses 2.hdr and 2.trl for 2 column
echo.
echo.
goto end

REM --------------------------------------------------------------------------
:cleanup

echo removing %1 extra files....

del %1.tex
REM del %1.dvi
del %1.aux
del %1.log
del del*.*

REM --------------------------------------------------------------------------
:end


